×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Mar 2008
    Location
    SLOVAKIA,Bratislava
    Posts
    337

    Lightbulb S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    Hi, on Installation of my Sis file (symbiansigned, developercertificate) to phone (Nokia C5-00.MP5), Device= S60_3rd_MR_2, Build Phone release (GCCE) [S60_3rd_MR_2]
    this warning:
    Applicaion not compatible with phone.Continue anyway ?
    Yes, continue...
    End: Instalation complete....

    What may be wrong ?
    C++Beginner (MS Access/FoxPro,VisualBasic Developer) Carbide V2.7,S60 3rd MR SDK/Nokia C5.00-5mp,6120c

  2. #2
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,547

    Re: S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    Quote Originally Posted by PACALA_BA View Post
    Hi, on Installation of my Sis file (symbiansigned, developercertificate) to phone (Nokia C5-00.MP5), Device= S60_3rd_MR_2, Build Phone release (GCCE) [S60_3rd_MR_2]
    this warning:

    Yes, continue...
    End: Instalation complete....

    What may be wrong ?
    Nothing is wrong, and its not an error, its just a warning. This warning can be removed easily by adding the supported product Ids in pkg file

    Code:
    ;Supports Series 60 v 3.0
    [0x101F7961], 0, 0, 0, {"Series60ProductID"}

  3. #3
    Registered User
    Join Date
    Mar 2008
    Location
    SLOVAKIA,Bratislava
    Posts
    337

    Re: S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    Yes, you are right, it was missing,
    but still the same warning.
    My pkg:
    Code:
    ; Installation file for Symbian OS 9.x for generic console application
    ; Installation file for xPAC_Profile_01 EXE
    ;
    ; This is an auto-generated PKG file by Carbide.
    ; This file uses variables specific to Carbide builds that will not work
    ; on command-line builds. If you want to use this generated PKG file from the
    ; command-line tools you will need to modify the variables with the appropriate
    ; values: $(EPOCROOT), $(PLATFORM), $(TARGET)
    ;
    
    ;
    ; UID is the exe's UID
    ;
    #{"xPAC_Profile_01"},(0x200713A8),1,0,0
    
    
    ;Localised Vendor name
    %{"Vendor-EN"}
    
    ;Unique Vendor name
    :"Vendor"
    
    ;Supports Series 60 v 3.0
    [0x200713A8], 0, 0, 0, {"Series60ProductID"}
    
    "$(EPOCROOT)Epoc32\release\$(PLATFORM)\$(TARGET)\xPAC_Profile_01.exe"		  -"!:\sys\bin\xPAC_Profile_01.exe"
    
    "$(EPOCROOT)Epoc32\data\z\resource\apps\xPAC_Profile_01.rsc"		-"!:\resource\apps\xPAC_Profile_01.rsc"
    
    "$(EPOCROOT)Epoc32\data\z\private\10003a3f\apps\xPAC_Profile_01_reg.rsc"	-"!:\private\10003a3f\import\apps\xPAC_Profile_01_reg.rsc"
    "$(EPOCROOT)Epoc32\data\z\resource\apps\xPAC_Profile_01.mif" -"!:\resource\apps\xPAC_Profile_01.mif"
    
    ; Add any installation notes if applicable
    ;"xPAC_LockNow.txt"		-"!:\private\200713A8\xPAC_LockNow.txt"
    ;-------------------------------------------------INSTALL
    ; Add any installation notes if applicable
    ; TA (text abort) ,TC (Continue )
    ;..."text\Install.txt"-"", FT, TC
    "Install.txt"-"", FT, TC
    
    ;required for application to be covered by backup/restore facility 
    "..\sis\backup_registration.xml"		-"!:\private\200713A8\backup_registration.xml"
    C++Beginner (MS Access/FoxPro,VisualBasic Developer) Carbide V2.7,S60 3rd MR SDK/Nokia C5.00-5mp,6120c

  4. #4
    Nokia Developer Champion
    Join Date
    Jun 2008
    Location
    Noida,India
    Posts
    4,037

    Re: S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    [0x200713A8], that's not the ProductId. Use the following Id's, it covers up for all the S60 editions:

    [0x101F7961], 0, 0, 0, {"Series60ProductID"}
    [0x1028315F], 0, 0, 0, {"Series60ProductID"}
    [0x20022E6D], 0, 0, 0, {"Series60ProductID"}
    [0x2003A678], 0, 0, 0, {"Series60ProductID"}

  5. #5
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,166

    Re: S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    do not chnage the 0x101F7961 to be 0x200713A8 and it should be ok

  6. #6
    Registered User
    Join Date
    Mar 2008
    Location
    SLOVAKIA,Bratislava
    Posts
    337

    Re: S60_3rd_2, Install=Applicaion not compatible with phone.Continue anyway ?

    Yes symbianyucca and vineet.jain,
    you are right

    THANKS
    PS: Profile Schedule & Y-s, running also OK.
    but there is missing NON-GUI.App.start.Profile=>Outdoor.Exit
    I need it on locked phone, to change my profile to outdoor, with ONE-TOUCH-CLICK, 1-KeyPress and App.start/exit
    C++Beginner (MS Access/FoxPro,VisualBasic Developer) Carbide V2.7,S60 3rd MR SDK/Nokia C5.00-5mp,6120c

Similar Threads

  1. [Moved]"Application not compatible with phone. Continue > anyway?" error > message is
    By GTO_India in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 11
    Last Post: 2011-11-08, 13:21
  2. Application not compatible with phone. Continue anyway? error message
    By stevensei in forum [Archived] Nokia Smart Installer for Symbian
    Replies: 0
    Last Post: 2011-07-27, 04:54
  3. Replies: 6
    Last Post: 2008-10-29, 02:00
  4. Application not compatible with phone. Continue anyway
    By RB_Sahu in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 4
    Last Post: 2008-09-15, 14:21
  5. Replies: 8
    Last Post: 2008-08-14, 12:33

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×